 var ONC_T_FOV_Deg = 5.7;
 var ONC_W_FOV_Deg = 60;
 var RYUGU_DIAM_METERS = 900;
 var MII1_DIAM_METERS = 0.18;  
 var MII2_DIAM_METERS = 0.18;
 var MASCOT_DIAM_METERS = 0.60;
 var ONCW_WIDTH_PIXEL = 1024;
 var ONCT_WIDTH_PIXEL = 1024;
  function loadH2Data(){
       	$.getJSON('http://haya2now.jp/data/data.json', function(data) {
			var ONC_A=data.status.spacecraft.ONC_A * 1.0;
			var altitude = 1000 * 354/Math.sqrt(ONC_A);
			
			
// altitude = 100; // DEBUG
document.getElementById("dates").innerHTML = "Generated at: " + data.status.spacecraft.generatedAt + "<br>" +
"Received at: " + data.status.spacecraft.receivedAt;	

		
			var Ryugu_Diam_Pix_ONCW = 1024 * (2* Math.atan(RYUGU_DIAM_METERS/altitude)*180/Math.PI) / ONC_W_FOV_Deg;
			
			var Ryugu_Perc_W = Ryugu_Diam_Pix_ONCW / ONCW_WIDTH_PIXEL;
			var MII1_Diam_Pix_ONCW = 1024 * (2* Math.atan(MII1_DIAM_METERS/altitude)*180/Math.PI) / ONC_W_FOV_Deg;
			var MII1_Perc_W = MII1_Diam_Pix_ONCW / ONCW_WIDTH_PIXEL;
			var MII2_Diam_Pix_ONCW = 1024 * (2* Math.atan(MII1_DIAM_METERS/altitude)*180/Math.PI) / ONC_W_FOV_Deg;
			var MII2_Perc_W = MII2_Diam_Pix_ONCW / ONCW_WIDTH_PIXEL;
			var MASCOT_Diam_Pix_ONCW = 1024 * (2* Math.atan(MASCOT_DIAM_METERS/altitude*180/Math.PI)) / ONC_W_FOV_Deg;
			var MASCOT_Perc_W = MASCOT_Diam_Pix_ONCW / ONCW_WIDTH_PIXEL;
			
			var Ryugu_Diam_Pix_ONCT = 1024 * (2* Math.atan(RYUGU_DIAM_METERS/altitude)*180/Math.PI) / ONC_T_FOV_Deg;
			var Ryugu_Perc_T = Ryugu_Diam_Pix_ONCT / ONCT_WIDTH_PIXEL;
			var MII1_Diam_Pix_ONCT = 1024 * (2* Math.atan(MII1_DIAM_METERS/altitude)*180/Math.PI) / ONC_T_FOV_Deg;
			var MII1_Perc_T = MII1_Diam_Pix_ONCT / ONCT_WIDTH_PIXEL;
			var MII2_Diam_Pix_ONCT = 1024 * (2* Math.atan(MII1_DIAM_METERS/altitude)*180/Math.PI) / ONC_T_FOV_Deg;
			var MASCOT_Diam_Pix_ONCT = 1024 * (2* Math.atan(MASCOT_DIAM_METERS/altitude)*180/Math.PI) / ONC_T_FOV_Deg;
			var MASCOT_Perc_T = MASCOT_Diam_Pix_ONCT / ONCT_WIDTH_PIXEL;


/*console.log(Ryugu_Diam_Pix_ONCW);			
console.log(MII1_Diam_Pix_ONCW);			
console.log(MII2_Diam_Pix_ONCW);			
console.log(MASCOT_Diam_Pix_ONCW);			
console.log(Ryugu_Diam_Pix_ONCT);			
console.log(MII1_Diam_Pix_ONCT);			
console.log(MII2_Diam_Pix_ONCT);			
console.log(MASCOT_Diam_Pix_ONCW);	*/		

			document.getElementById("distance").innerHTML = altitude.toFixed(4);
			
			if (Ryugu_Perc_W<=1) {
				document.getElementById("RYUGU_DIAM_W").innerHTML = Ryugu_Diam_Pix_ONCW.toFixed(0);
				document.getElementById("IMG_RYUGU_W").style.width = Ryugu_Perc_W*100 + "%";
			} else {
				document.getElementById("RYUGU_DIAM_W").innerHTML = Ryugu_Diam_Pix_ONCW.toFixed(0) + " pixel  (TOO BIG TO SHOW)<br>";
				document.getElementById("IMG_RYUGU_W").style.width = "100%";
				
			}

			if (Ryugu_Perc_T<=1) {
				document.getElementById("RYUGU_DIAM_T").innerHTML = Ryugu_Diam_Pix_ONCT.toFixed(0);
				document.getElementById("IMG_RYUGU_T").style.width = Ryugu_Perc_T*100 + "%";
			} else {
				document.getElementById("RYUGU_DIAM_T").innerHTML = Ryugu_Diam_Pix_ONCT.toFixed(0) + " pixel  (TOO BIG TO SHOW)<br>";
				document.getElementById("IMG_RYUGU_T").style.width = "100%";
				
			}

			//document.getElementById("RYUGU_DIAM_T").innerHTML = Ryugu_Diam_Pix_ONCT.toFixed(0) + " pixel";

			document.getElementById("MINERVA_DIAM_W").innerHTML = MII1_Diam_Pix_ONCW.toFixed(0);
			//document.getElementById("IMG_MII1_W").style.width=MII1_Perc_W*100 + "%";
			document.getElementById("IMG_MII1_W").style.width=MII1_Diam_Pix_ONCW + "px";

			document.getElementById("MINERVA_DIAM_T").innerHTML = MII1_Diam_Pix_ONCT.toFixed(0);
			//document.getElementById("IMG_MII1_T").style.width=MII1_Perc_T*100 + "%";
			document.getElementById("IMG_MII1_T").style.width=MII1_Diam_Pix_ONCT + "px";
			
			document.getElementById("MASCOT_WIDTH_W").innerHTML = MASCOT_Diam_Pix_ONCW.toFixed(0);
//			document.getElementById("IMG_MASCOT_W").style.width=MASCOT_Perc_W*100 + "%";
			document.getElementById("IMG_MASCOT_W").style.width=MASCOT_Diam_Pix_ONCW + "px";

			document.getElementById("MASCOT_WIDTH_T").innerHTML = MASCOT_Diam_Pix_ONCT.toFixed(0);
//			document.getElementById("IMG_MASCOT_T").style.width=MASCOT_Perc_T*100 + "%";
			document.getElementById("IMG_MASCOT_T").style.width=MASCOT_Diam_Pix_ONCT + "px";
		  });
 }
 
 loadH2Data();